<?xml version="1.0" encoding="UTF-8" ?>
<AronTypeDefinition>
  <AronIncludes>
        <PackagePath package="RobotAPI" path="libraries/ArmarXObjects/aron/ObjectID.xml" />
        <Include include="armarx/manipulation/core/aron/Arm.xml" />
    </AronIncludes>

    <GenerateTypes>
        <Object name='armarx::manipulation::skills::arondto::ReleaseHandleParams'>

            <!-- <ObjectChild key='objectEntityId'>
                <string />
            </ObjectChild> -->

            <ObjectChild key='robot'>
                <string />
            </ObjectChild>

            <ObjectChild key='arm'>
                    <armarx::manipulation::core::arondto::Arm />
            </ObjectChild>

            <ObjectChild key='movement'>
                <float />
            </ObjectChild>

            <ObjectChild key='movementY'>
                <float />
            </ObjectChild>

        </Object>
    </GenerateTypes>
</AronTypeDefinition>
